- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members
AbcMessage Class Reference

`#include <AbcMessage.h>`

Inheritance diagram for AbcMessage:
[legend]
Collaboration diagram for AbcMessage:
[legend]

## Public Member Functions
Constructors etc
| AbcMessage (Language language=us_en)
| Constructor. More...
Public Member Functions inherited from CoinMessages
| CoinMessages (int numberMessages=0)
| Constructor with number of messages. More...
| ~CoinMessages ()
| Destructor. More...
| CoinMessages (const CoinMessages &)
| The copy constructor. More...
CoinMessages & | operator= (const CoinMessages &)
| assignment operator. More...
void | addMessage (int messageNumber, const CoinOneMessage &message)
| Installs a new message in the specified index position. More...
void | replaceMessage (int messageNumber, const char *message)
| Replaces the text of the specified message. More...
Language | language () const
| Language. More...
void | setLanguage (Language newlanguage)
| Set language. More...
void | setDetailMessage (int newLevel, int messageNumber)
| Change detail level for one message. More...
void | setDetailMessages (int newLevel, int numberMessages, int *messageNumbers)
| Change detail level for several messages. More...
void | setDetailMessages (int newLevel, int low, int high)
| Change detail level for all messages with low <= ID number < high. More...
int | getClass () const
| Returns class. More...
void | toCompact ()
| Moves to compact format. More...
void | fromCompact ()
| Moves from compact format. More...

## Additional Inherited Members
Public Types inherited from CoinMessages
enum | Language { us_en = 0, uk_en, it }
| Supported languages. More...
Public Attributes inherited from CoinMessages
int | numberMessages_
| Number of messages. More...
Language | language_
| Language. More...
char | source_ [5]
| Source (null-terminated string, maximum 4 characters). More...
int | class_
| Class - see later on before CoinMessageHandler. More...
int | lengthMessages_
| Length of fake CoinOneMessage array. More...
CoinOneMessage ** | message_
| Messages. More...

## Detailed Description

Definition at line 77 of file AbcMessage.h.

## Constructor & Destructor Documentation

AbcMessage::AbcMessage | ( | Language | language = `us_en` | ) |

Constructor.

The documentation for this class was generated from the following file:

- /tmp/CHiPPS-Blis-0.94.3/Alps/examples/Abc/AbcMessage.h